import request from '@/utils/request'

export function getStockDetailPage(params) {
    return request({
        url: '/admin/stockDetail/page',
        method: 'get',
        params
    })
}

export function getStockDetailList(params) {
    return request({
        url: '/admin/stockDetail/list',
        method: 'get',
        params
    })
}

export function addStockDetail(data) {
    return request({
        url: '/admin/stockDetail/add',
        method: 'post',
        data: data
    })
}

export function editStockDetail(data) {
    return request({
        url: '/admin/stockDetail/update',
        method: 'post',
        data: data
    })
}

export function deleteStockDetail(stockDetailId) {
    return request({
        url: '/admin/stockDetail/delete/' + stockDetailId,
        method: 'get'
    })
}

